Puntuado con 5 de 5 estrellas

thelinuxbeast, not sure what happened to you, but IE View Lite 1.3.5 works fine here with FF 3.5 with IE8 on Win 7 x64.